libgdamm: Gnome::Gda::Numeric Class Reference

libgdamm 4.99.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Gnome::Gda::Numeric Class Reference

TODO. More...

Collaboration diagram for Gnome::Gda::Numeric:
[legend]

## Public Member Functions
| Numeric ()
| Numeric (GdaNumeric* gobject, bool make_a_copy=true)
| Numeric (const Numeric& other)
Numeric& | operator= (const Numeric& other)
| Numeric (Numeric&& other) noexcept
Numeric& | operator= (Numeric&& other) noexcept
| ~Numeric () noexcept
void | swap (Numeric& other) noexcept
GdaNumeric* | gobj ()
| Provides access to the underlying C instance. More...
const GdaNumeric* | gobj () const
| Provides access to the underlying C instance. More...
GdaNumeric* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...
void | set_from_string (const Glib::ustring& str)
void | set_double (double number)
double | get_double () const
void | set_precision (long precision)
long | get_precision () const
void | set_width (long width)
long | get_width ()
Glib::ustring | get_string () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
GdaNumeric* | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (Numeric& lhs, Numeric& rhs) noexcept
Gnome::Gda::Numeric | wrap (GdaNumeric* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

TODO.

## Constructor & Destructor Documentation

Gnome::Gda::Numeric::Numeric | ( |  | ) |

Gnome::Gda::Numeric::Numeric | ( | GdaNumeric * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |
| explicit

Gnome::Gda::Numeric::Numeric | ( | const Numeric& | other | ) |

Gnome::Gda::Numeric::Numeric | ( | Numeric&& | other | ) |
| noexcept

Gnome::Gda::Numeric::~Numeric | ( |  | ) |
| noexcept

## Member Function Documentation

double Gnome::Gda::Numeric::get_double | ( |  | ) | const

long Gnome::Gda::Numeric::get_precision | ( |  | ) | const

Glib::ustring Gnome::Gda::Numeric::get_string | ( |  | ) | const

static GType Gnome::Gda::Numeric::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

long Gnome::Gda::Numeric::get_width | ( |  | ) |

GdaNumeric* Gnome::Gda::Numeric::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const GdaNumeric* Gnome::Gda::Numeric::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

GdaNumeric* Gnome::Gda::Numeric::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Numeric& Gnome::Gda::Numeric::operator= | ( | const Numeric& | other | ) |

Numeric& Gnome::Gda::Numeric::operator= | ( | Numeric&& | other | ) |
| noexcept

void Gnome::Gda::Numeric::set_double | ( | double | number | ) |

void Gnome::Gda::Numeric::set_from_string | ( | const Glib::ustring & | str | ) |

void Gnome::Gda::Numeric::set_precision | ( | long | precision | ) |

void Gnome::Gda::Numeric::set_width | ( | long | width | ) |

void Gnome::Gda::Numeric::swap | ( | Numeric& | other | ) |
| noexcept

## Friends And Related Function Documentation

void swap | ( | Numeric& | lhs,
|  | Numeric& | rhs
| ) |  |
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Gnome::Gda::Numeric wrap | ( | GdaNumeric * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdaNumeric* Gnome::Gda::Numeric::gobject_
| protected

The documentation for this class was generated from the following file:

- libgdamm/numeric.h